const express = require("express");
const router = express.Router();
const {
  getRiskAssessments,
  getSingleRiskAssessment,
  createRiskAssessment,
  updateRiskAssessment,
} = require("../controllers/risk-assessment");
const authMiddleware = require("../middleware/authMiddleware");

router.use(authMiddleware);

router.get("/", getRiskAssessments);

router.get("/:id", getSingleRiskAssessment);

router.post("/", createRiskAssessment);

router.patch("/", updateRiskAssessment);

module.exports = router;
